#ifndef NODECOST_H_
#define NODECOST_H_

#include <string>
#include "quantities/Ports.h"

namespace cosi
{

namespace models
{

namespace wiredbas {

class NodeCost
{
public:
	NodeCost();
	virtual ~NodeCost();
	virtual double GetValue(std::string pComponentName ,
							std::string pComponentType ,
							Ports pPorts) ;

};

}

}
}

#endif /*NODECOST_H_*/
